{{ with set . "component" "ui" }}
apiVersion: extensions/v1beta1
kind: Deployment
metadata: {{ include "cgn.common.metadata" . | nindent 2 }}
spec:
  replicas: 1
  strategy:
    type: Recreate
  selector:
    matchLabels: {{ include "cgn.common.metadata-labels" . | nindent 6 }}
  template:
    metadata:
      labels: {{ include "cgn.common.metadata-labels" . | nindent 8 }}
    spec:
      containers:
        - name: ui
          image: {{.Values.uiImage}}
          imagePullPolicy: {{.Values.imagePullPolicy}}
      restartPolicy: Always
---
apiVersion: v1
kind: Service
metadata: {{ include "cgn.common.metadata" . | nindent 2 }}
spec:
  selector: {{ include "cgn.common.metadata-labels" . | nindent 4 }}
  ports:
    - name: http
      protocol: TCP
      port: 80
---
apiVersion: extensions/v1beta1
kind: Ingress
metadata: {{ include "cgn.common.metadata" . | nindent 2 }}
  annotations:
    kubernetes.io/ingress.class: traefik
spec:
  rules:
    - host: {{.Values.domain}}
      http:
        paths:
          - path: /
            backend:
              serviceName: ui
              servicePort: http
          - path: /v1alpha1/graphql
            backend:
              serviceName: hasura
              servicePort: http
{{ end }}
